﻿html, body {
    font-family: 'Inter', sans-serif;
}

.rz-header {
    display: flex;
    align-items: center;
    height: 64px;
}

.btn-primary {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

dt,
.unit,
.rz-colorpicker,
.rz-lookup-search input,
.rz-numeric,
.rz-datepicker > .rz-inputtext,
.rz-multiselect, .rz-dropdown,
.mask,
.rz-numeric-input,
.rz-dropdown-item,
.rz-button,
.rz-button-icon-only,
.rz-text-caption,
.rz-textarea,
.rz-textbox,
.rz-navigation-item-text,
.rz-navigation-item-icon {
    font-size: 1.1rem !important;
}

dt, rz-multiselect, .rz-dropdown, .rz-dropdown-item, .rz-textbox {
    height: 2.2rem !important;
}

.rz-textbox::placeholder {
    font-size: 1rem !important;
}

dt {
    font-weight: normal;
}

.unit {
    margin-left: 8px;
}

.validation-message {
    color: red;
}

.rz-alert {
    display: flex !important;
    align-items: center !important;
}

.vr {
    background-color: rgb(50, 49, 48);
}

.app-shell {
    min-height: 100vh;
    display: flex;
    flex-direction: column;
}

/* HEADER */
.app-header {
  height: 80px;
  background: linear-gradient(to right, #00a0e0 50%, #7cd8fc 100%);
}

/* CONTENT */
.app-content {
    flex: 1;
    display: flex;
    justify-content: center;
    align-items: center;
    background: #f5f7fa;
}

/* FOOTER */
.app-footer {
    background: #2e50f5;
    color: white;
    padding: 1.6rem;
    text-align: center;
}

i.notranslate.rzi.truck-icon {
    font-size: 8em !important;
    color: #2196F3;
    display: inline-block;
    animation: floatTruck 1.8s ease-in-out infinite;
}

i.notranslate.rzi.search-icon {
  font-size: 8em !important;
  color: #f06900;
  display: inline-block;
}

/* subtle movement */
@keyframes floatTruck {
    0% {
        transform: translateX(-5px);
    }

    50% {
        transform: translateX(15px);
    }

    100% {
        transform: translateX(-4px);
    }
}

.no-click {
    pointer-events: none;
    opacity: 1 !important;
}

.transit-card {
  text-align: center;
  padding: 2rem;
}

.icon-wrapper {
  margin: 2rem;
}

.status-label {
  font-size: 0.875rem;
  letter-spacing: 0.08em;
  margin: 0 0 0.5rem;
}

.status-label .highlight-yes, .highlight-no {
  font-weight: bold;
  text-transform: uppercase;
}

.status-label .highlight-yes {
  color: #1976d2;
}

.status-label .highlight-no {
  color: #f06900;
}

.card-title {
  font-size: 1.5rem;
  font-weight: 500;
  color: #111111;
  margin: 0 0 0.75rem;
  line-height: 1.3;
}

.card-subtitle {
  font-size: 0.875rem;
  color: #666666;
  margin: 0 0 1.5rem;
  line-height: 1.6;
}